问个apt-get的参数

为当前最终发行版之前的所有版本提供支持
回复
oldrabbit
帖子: 93
注册时间: 2005-07-07 9:13
送出感谢: 0
接收感谢: 0

问个apt-get的参数

#1

帖子 oldrabbit » 2006-06-18 23:17

安装了server版,在apt-get时,不管是apt-get install什么,都会提示:apt-get -f install,这个-f是什么意思?
曾半仙
帖子: 48
注册时间: 2006-06-11 0:23
送出感谢: 0
接收感谢: 0

#2

帖子 曾半仙 » 2006-06-18 23:39

aptget -f install不带其他参数的话,作用是忽略非致命错误,将现有即将安装的包安装.
带包名是强制安装特定包,对于队列中的包不做处理
例如本地dpkg安装2个互相依赖的包,就可以分别出现提示后,这包被加入队列,进入apt-get来安装.
oldrabbit
帖子: 93
注册时间: 2005-07-07 9:13
送出感谢: 0
接收感谢: 0

#3

帖子 oldrabbit » 2006-06-19 23:15

谢谢楼上~

现在是带安装也不行。比如:apt-get install mrtg 提示-f参数,apt-get -f install mrtg 一样,还是提示-f参数,我这个郁闷啊~

后来装了桌面版,OK,一切都可以,也没有提示-f参数。

问题是我要做服务器啊~~~
oldrabbit
帖子: 93
注册时间: 2005-07-07 9:13
送出感谢: 0
接收感谢: 0

#4

帖子 oldrabbit » 2006-06-20 20:46

没人知道了?
头像
lwtong
帖子: 15
注册时间: 2006-05-22 16:37
送出感谢: 0
接收感谢: 0

#5

帖子 lwtong » 2006-06-20 21:02

下载/服务器安裝 (Alternate CD)
图片
头像
oneleaf
论坛管理员
帖子: 10231
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 103 次

#6

帖子 oneleaf » 2006-06-20 23:10

将错误原因,全部贴出来
oldrabbit
帖子: 93
注册时间: 2005-07-07 9:13
送出感谢: 0
接收感谢: 0

#7

帖子 oldrabbit » 2006-06-23 22:58

今天重新安装了server,没有用中文,默认选的英文,一切正常了。

以前安装redhat时也遇到过这样的问题,今天猛然间想起来,果然如此。看来server还是用纯english的好~

谢谢楼上几位DX~
回复

回到 “老旧版本支持”